OCI-Lob::export
OCI-Lob::free
OCI-Lob
PHP Manual

# OCI-Lob::flush

Flushes/writes buffer of the LOB to the server

### Description

bool OCI-Lob::flush ([ int `$flag` ] )

OCI-Lob::flush actually writes data to the server.

### Parameters

`flag`

  By default, resources are not freed, but using flag `OCI_LOB_BUFFER_FREE` you can do it explicitly. Be sure you know what you're doing - next read/write operation to the same part of LOB will involve a round-trip to the server and initialize new buffer resources. It is recommended to use `OCI_LOB_BUFFER_FREE` flag only when you are not going to work with the LOB anymore.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

Returns `FALSE` if buffering was not enabled or an error occurred.

### See Also

- OCI-Lob::getBuffering
- OCI-Lob::setBuffering